> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plurex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Paper Account

> Create a new paper trading account



## OpenAPI

````yaml POST /api/v1/paper/command/Create
openapi: 3.1.0
info:
  title: Plurex Platform API
  description: >
    Plurex Platform API uses a Command & Query Separation (CQS) architecture.

    All state-changing operations are 'commands' and read-only operations are
    'queries'.

    Both use HTTP POST with JSON payloads.

    No conformity to REST, all inputs are in the body of the request.
  version: 1.0.0
servers:
  - url: https://api.plurex.io
    description: Production server
security:
  - ApiKeyAuth: []
    ApiSecretAuth: []
paths:
  /api/v1/paper/command/Create:
    post:
      tags:
        - Paper
      summary: Create a new paper trading account
      operationId: createPaperAccount
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaperAccountCreateCommand'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseSuccessResponseEnvelope'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/AccountHeader'
components:
  schemas:
    PaperAccountCreateCommand:
      allOf:
        - $ref: '#/components/schemas/BaseCommand'
        - type: object
          required:
            - tenantId
            - name
            - hostId
          properties:
            tenantId:
              type: string
            name:
              type: string
            hostId:
              type: string
    BaseSuccessResponseEnvelope:
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              description: The actual payload of the successful response.
    AccountHeader:
      type: object
      required:
        - id
        - tenantId
        - hostId
        - targetVenueId
        - isPaper
        - name
        - credential
      properties:
        id:
          type: string
        tenantId:
          type: string
        hostId:
          type: string
        targetVenueId:
          type: string
        isPaper:
          type: boolean
        name:
          type: string
        credential:
          $ref: '#/components/schemas/AccountCredentialPublic'
    BaseCommand:
      type: object
      required:
        - clientRequestId
      properties:
        clientRequestId:
          type: string
          description: >-
            Client-generated nonce for idempotency. Recommended to be unique per
            tenant scope.
    BaseResponse:
      type: object
      required:
        - traceId
        - serverTime
      properties:
        traceId:
          type: string
          format: uuid
          description: Unique identifier for tracing.
        serverTime:
          type: string
          format: date-time
          description: RFC3339 timestamp of processing.
        warnings:
          type: array
          items:
            type: string
    AccountCredentialPublic:
      type: object
      required:
        - credentialType
      properties:
        publicValue:
          type: string
          nullable: true
        credentialType:
          $ref: '#/components/schemas/HostCredentialType'
    HostCredentialType:
      type: string
      enum:
        - ApiKey
        - Paper
      description: Type of credentials used for the account.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    ApiSecretAuth:
      type: apiKey
      in: header
      name: X-API-SECRET

````